/*
 * autotimeredit: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: menusetup.h 1.2 2004/05/13 09:09:20 hflor Exp $
 */

#ifndef __MENUSETUP_H
#define __MENUSETUP_H

#include <vdr/menu.h>
#include <vdr/menuitems.h>

// --- cMenuSetupAutoTimer -------------------------------------------------------

class cMenuSetupAutoTimer : public cMenuSetupPage {
private:
  int   show_setup;
  int   show_dictionary;
  int   store;
  int   fileitempos1;
  int   fileitempos2;
  int   fileitempos3;
  bool  display_int;
#if VDRVERSNUM >= 10307
  int editwidth;
#endif

protected:
  virtual void Store(void);
public:
  cMenuSetupAutoTimer(void);
  virtual ~cMenuSetupAutoTimer();
  virtual void Set(void);
  virtual void Display(void);
  virtual eOSState ProcessKey(eKeys Key);
  };

#endif //__MENUSETUP_H
